> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# importblankaction

> Import actions for blank values - Use Person Name, Skip

## "importblankaction" MDO List

Import actions for blank values: Use Person Name, Skip

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ImportBlankActionProvider">ImportBlankActionProvider</see> class.
The name of the MDO list is 'importblankaction'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/importblankaction
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("importblankaction", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                    | StyleHint | ExtraInfo |
| -- | --------------------------------------- | --------- | --------- |
| 1  | Create company using contact name       |           |           |
| 2  | Skip – do not create company or contact |           |           |

## Related MDO Lists

* "importblankactionheadings"
* "importblankactionheadingswithallitem"
* "importblankactionheadingswithallitemwithnoselection"
* "importblankactionheadingswithnoselection"
* "importblankactionwithallitem"
* "importblankactionwithallitemwithnoselection"
* "importblankactionwithnoselection"


## Related topics

- [Enum ImportBlankAction](/en/automation/crmscript/reference/CRMScript.NetServer.ImportBlankAction.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
